Query Trading Pair Configuration
Request URL
GET /stapi/v1/symbolConfig
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| symbolId | STRING | NO | Trading pair ID, e.g., BTC-USDT. If empty, returns configuration for all trading pairs. |
Response Parameters
| Name | Type | Description |
|---|---|---|
| code | STRING | Response Code |
| msg | STRING | Response Message |
| success | BOOLEAN | Success Flag |
| data | ARRAY | Data Payload |
| data[].baseCode | STRING | Base Asset |
| data[].quoteCode | STRING | Quote Asset |
| data[].symbolId | STRING | Symbol ID |
| data[].symbolName | STRING | Symbol Name |
| data[].quantityPrecision | INTEGER | Quantity Precision |
| data[].pricePrecision | INTEGER | Price Precision |
| data[].minOrderQuantity | STRING | Min Order Quantity |
| data[].minOrderAmount | STRING | Min Order Amount |
| data[].maxOrderAmount | STRING | Max Order Amount |
| data[].maxOrderQuantity | STRING | Max Order Quantity |
| data[].depths | ARRAY | Depth Precision |
Request Example
Response Example
{
"code": "0",
"data": [
{
"baseCode": "BTC", //Base currency
"quoteCode": "USDT", //Quote currency
"symbolId": "BTC-USDT", //Trading pair ID
"symbolName": "BTC-USDT", //Trading pair name
"quantityPrecision": 8, //Quantity precision
"pricePrecision": 2, //Price precision
"minOrderQuantity": "0.0001", //Minimum order quantity
"minOrderAmount": "10", //Minimum order amount
"maxOrderAmount": "100000", //Maximum order amount
"maxOrderQuantity": "100", //Maximum order quantity
"depths": [ //Depth precision
"0.01",
"0.1",
"1"
]
}
],
"msg": "Request successful",
"success": true
}Error Codes
| Error Code | Description |
|---|---|
| 500 | Internal Server Error |
Code Example
Last updated on: